%define name giFTcurs
%define version 0.6.2
%define release 5plf

Name: %{name}
Summary: Cursed frontend to the giFT daemon
Version: %{version}
Release: %{release}
Source:  http://savannah.nongnu.org/download/giftcurs/%name-%version.tar.bz2
Source1: %{name}-icon-16.png
Source2: %{name}-icon-32.png
Source3: %{name}-icon-48.png
URL: http://www.nongnu.org/giftcurs/
Group: Networking/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
BuildRequires:	glib2-devel
BuildRequires:	ncurses-devel
Provides: giFT
Provides: p2p
# It doesn't not requires giFT to run 'cause it can connect to another
# host

%description
The giFTcurs software is a cursed frontend to the giFT daemon and has been
described as "seriously slick". It won't work that well without giFT, which
you should have already.

This package is in PLF because Mandriva Linux doesn't allow P2P softwares

%prep
rm -fr $RPM_BUILD_ROOT

%setup -q

%build
%configure
%make

%install
%makeinstall
%find_lang %{name}

strip %{buildroot}%{_bindir}/giFTcurs

# menu
install %{SOURCE1} -D -m 644 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install %{SOURCE2} -D -m 644 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install %{SOURCE3} -D -m 644 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# Creation of the menu item

mkdir -p $RPM_BUILD_ROOT/%{_menudir}

cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="/usr/bin/giFTcurs" \
	needs="text" section="Internet/File Transfer" title="GiFTcurs" \
	longtitle="Cursed frontend for the giFT peer2peer software" \
	icon="%{name}.png"
EOF

%clean
rm -fr $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}


%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc README COPYING NEWS AUTHORS ChangeLog TODO ABOUT-NLS
%{_bindir}/giFTcurs
%{_menudir}/giFTcurs
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man1/giFTcurs.1*
%{_mandir}/man5/giFTcurs.conf.5*


%changelog
* Thu Apr 20 2006 Nicolas Lcureuil <neclust@zarb.org> 0.6.2-5plf
- forget to change mandrake to mandriva

* Thu Apr 20 2006 Nicolas Lcureuil <neoclust@zarb.org> 0.6.2-4plf
- Rebuild

* Tue Jan 25 2005 Nicolas Lcureuil <neoclust@zarb.org> 0.6.2-3plf
- Fix Menu
- Fix PLF Reason

* Tue Jan 25 2005 Nicolas Lcureuil <neoclust@zarb.org> 0.6.2-2plf
- Update url 

* Sat Apr 24 2004 Stefan van der Eijk <stefan@zarb.org> 0.6.2-1plf
- 0.6.2

* Fri Dec 26 2003 Stefan van der Eijk <stefan@eijk.nu> 0.6.1-3plf
- BuildRequires

* Mon Dec 15 2003 Mark Baas <m.baas@zarb.org> 0.6.1-2plf
- version update and added libgift-devel to BuildRequires.

* Sun Dec 01 2002 Franck Qulain <shift@free.fr> 0.5.6-1plf
- New release
- "This release features a fix for a segfault, 
  improved format strings, etc. 
  Pressing 'q' in anything but an input field will exit giFTcurs."

* Sun Dec 01 2002 Franck Qulain <shift@free.fr> 0.5.5-1plf
- New release (Protocol change)
- Man pages included

* Sat Oct 26 2002 Franck Qulain <shift@free.fr> 0.5.4-1plf
- New release
- Change the group of the package :)

* Sun Oct 05 2002 Franck Qulain <shift@free.fr> 0.5.2-1plf
- First plf release
